apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    build.aep.asag.io/source: store-api
    build.aep.asag.io/version: 1.0.1
    controller-gen.kubebuilder.io/version: v0.10.0
  creationTimestamp: null
  name: configstores.aep.asag.io
spec:
  group: aep.asag.io
  names:
    kind: ConfigStore
    listKind: ConfigStoreList
    plural: configstores
    shortNames:
      - cfg
      - conf
      - cnfg
      - config
    singular: configstore
  scope: Namespaced
  versions:
    - name: v1
      schema:
        openAPIV3Schema:
          description: Config store for arbitrary structured data
          properties:
            apiVersion:
              description: 'APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources'
              type: string
            data:
              description: Arbitrary structured data
              type: object
              x-kubernetes-preserve-unknown-fields: true
            kind:
              description: 'Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds'
              type: string
            metadata:
              type: object
          required:
            - data
            - metadata
          type: object
      served: true
      storage: true
